# SalcComponent

class `psi4.core.``SalcComponent`

  Bases: `pybind11_builtins.pybind11_object`

  Component of a Cartesian displacement SALC in the basis of atomic displacements.

  Attributes Summary

  `atom` | The index of the atom being displaced.
  `coef` | The coefficient of the displacement
  `xyz` | The direction of the displacement, given by x as 0, y as 1, z as 2.

  Attributes Documentation

  `atom`

    The index of the atom being displaced. 0-indexed.

  `coef`

    The coefficient of the displacement

  `xyz`

    The direction of the displacement, given by x as 0, y as 1, z as 2.

  `atom`

    The index of the atom being displaced. 0-indexed.

  `coef`

    The coefficient of the displacement

  `xyz`

    The direction of the displacement, given by x as 0, y as 1, z as 2.